<?php 

/**
 * Controlador Para el modulo de usuarios
 * Creado por Said Andres 
 * 19/04/2022
 */
class UserController extends CI_Controller
{

	public function login()
	{
		//Cargamos los modelos
		$this->load->model('UserModel');
		//Cargamos el modelo que genera el token
		$this->load->model('TokenGenerator');
		//Traemos los parametros por POST desde el login y de una vez decodificamos el json que llega
		//si enviamos el ultimi parametro se convierte en array, si no llega un objeto
		$data_json = json_decode(file_get_contents('php://input'),true);
		print_r(json_decode($data_json));
		//extraemos los campos del array para guardarlo en las variables
		$user_email = $data_json["user_email"];
		$user_password =$data_json['user_password'];
		//Validamos con los datos de la db
		$data_user_db = $this->UserModel->get_users("user_email='".$user_email."'");
		//Validamos que hayan datos en la consulta
		if (count($data_user_db->result()) != 0) {
			foreach ($data_user_db->result() as $key) {
				$name = $key->user_name;
				$id = $key->user_id;
				$password = $key->user_password;
			}
			$data_token = array('user_id' => $id);
			if ($password == $user_password) {
				$data_resp = array('user_id'=>$id,'user_name'=>$name,'ok'=>true,'token'=>$data_token,'message'=>"Usuario y Contrasena Correctos",'status'=>200);
			}else{
				$data_resp = array('user_id'=>"",'user_name'=>"",'ok'=>false,'token'=>"",'message'=>"Contrasena Incorrecta",'status'=>400);
			}
		}else{
			$data_resp = array('user_id'=>"",'user_name'=>"",'ok'=>false,'token'=>"",'message'=>"Usuario No Existe",'status'=>400);
		}
		//Respondemos con el json
		echo json_encode($data_resp);
		
	}

	public function prueba()
	{
		$stream_clean = $this->security->xss_clean($this->input->raw_input_stream);
		$request = json_decode($stream_clean);
		$ready = $request->ready;
		$response = json_encode($request);
		header('Content-Type: application/json');
		echo $response;
	}

	public function insert_user()
	{
		# code...
	}

	public function update_user()
	{
		# code...
	}

	public function delete_user()
	{
		# code...
	}

	public function get_user()
	{
		# code...
	}
}

 ?>